/*! © JSOcean v1.0.1 */
/**
 * Autocomplete CSS
 */

/**
 * desktop: dropdown
 */
.jso-autocomplete-content{
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background: #fff;
    padding: 0.5rem 0;
}

.jso-autocomplete-item{
    padding: 0 1rem 0.1rem 1rem;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.jso-autocomplete-item:hover,
.jso-autocomplete-item:active,
.jso-autocomplete-item:focus,
.jso-autocomplete-selected-item{
    background: #f9f9f9;
    outline: none;
}

.jso-autocomplete-item >img{
    margin: 0 0.5rem 0 0;
    width: 32px;
    height: 32px;
    pointer-events: none;
}

.jso-autocomplete-no-results{
    padding: 0.5rem 1rem;
}

/**
 * highlight
 */
.jso-highlight-text{
    font-weight: bold;
}

/**
 * mobile version
 */
.jso-autocomplete-popup-top{
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin: 0.3rem 1rem 0.3rem 0;
}

/**
 * mobile text box
 */
.jso-autocomplete-input{
    display: block !important;
}

.jso-autocomplete-input.jso-autocomplete-input-mobile{
    display: none !important;
}

.jso-autocomplete-popup-input-box{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    border-top: 4px solid #8a95a0;
    border-bottom: 4px solid #8a95a0;
}

.jso-autocomplete-popup-input-box::before{
    content: '';
    background: url("data:image/svg+xml,%3Csvg xmlns='https://www.w3.org/2000/svg' width='25' height='25' viewBox='0 0 512 512'%3E%3Cpath fill='%23bfbfbf' d='M102,480H64V57.37l4.69-4.68C72.14,49.23,92.78,32,160,32c37.21,0,78.83,14.71,115.55,27.68C305.12,70.13,333.05,80,352,80c42.83,0,72.72-14.25,73-14.4l23-11.14V313.89l-8.84,4.42C437.71,319,403.19,336,352,336c-24.14,0-54.38-7.14-86.39-14.71C229.63,312.79,192.43,304,160,304c-36.87,0-49.74,5.58-58,9.11Z'%3E%3C/path%3E%3C/svg%3E") no-repeat 50% 50%;
    width: 20px;
    height: 20px;
    margin: 0 1rem;
}

.jso-autocomplete-popup-input-box input[type="text"]{
    border: 0;
    height: 50px;
    flex: 1;
    font-size: 1rem;
}

.jso-autocomplete-popup-input-box input[type="text"]::-webkit-input-placeholder{
    font-size: 1.1rem;
}

.jso-autocomplete-popup-input-box input[type="text"]:-ms-input-placeholder{
    font-size: 1.1rem;
}

.jso-autocomplete-popup-input-box input[type="text"]::-ms-input-placeholder{
    font-size: 1.1rem;
}

.jso-autocomplete-popup-input-box input[type="text"]::placeholder{
    font-size: 1.1rem;
}

.jso-autocomplete-popup-input-box input[type="text"]:focus,
.jso-autocomplete-popup-input-box input[type="text"]:active,
.jso-autocomplete-popup-input-box input[type="text"]:hover{
    outline: none;
    box-shadow: none;
}

/**
 * mobile: autocomplete items list
 */
.jso-autocomplete-mobile-content-box{
    overflow: auto;
}

.jso-autocomplete-popup .jso-autocomplete-content{
    padding: 0;
}

.jso-autocomplete-popup .jso-autocomplete-item{
    border-bottom: 1px solid #efefef;
    padding: 0.5rem 1rem;
    cursor: pointer;
}

/**
 * main text boxes in mobile
 */
@media (max-width: 960px){
    .jso-autocomplete-input,
    .jso-autocomplete{
        display: none !important;
    }

    .jso-autocomplete-input.jso-autocomplete-input-mobile{
        display: block !important;
    }

    .jso-autocomplete-opened .jso-autocomplete-input.jso-autocomplete-input-mobile{
        display: none !important;
    }
}

/**
 * Dropdown Styles
 */
.jso-dropdown{
    position: absolute;
    left: 0;
    top: 100%;
    z-index: 10000;

    display: flex;

    width: 100%;
    box-shadow: 0 2px 16px rgba(0,0,0,.15);
    box-sizing: border-box;
    border-radius: 4px;

    font-family: -apple-system,system-ui,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,sans-serif;
    font-size: .9rem;

    background: #fff;
    color: #212529;
}

/**
 * fade animation
 */
.jso-dropdown.jso-fade{
    -webkit-animation: jso-dd-fade-in 0.3s forwards;
            animation: jso-dd-fade-in 0.3s forwards;
}

.jso-dropdown.jso-fade.jso-animation-end{
    -webkit-animation: jso-dd-fade-out 0.3s forwards;
            animation: jso-dd-fade-out 0.3s forwards;
}

@-webkit-keyframes jso-dd-fade-in {
    0%   { opacity: 0; }
    100% { opacity: 1; }
}

@keyframes jso-dd-fade-in {
    0%   { opacity: 0; }
    100% { opacity: 1; }
}

@-webkit-keyframes jso-dd-fade-out {
    0%   { opacity: 1; }
    100% { opacity: 0; }
}

@keyframes jso-dd-fade-out {
    0%   { opacity: 1; }
    100% { opacity: 0; }
}

/**
 * slide animation
 */
.jso-dropdown.jso-slide{
    -webkit-animation: jso-dd-slide-down 0.3s forwards;
            animation: jso-dd-slide-down 0.3s forwards;
    -webkit-transform-origin: top center;
            transform-origin: top center;
}

.jso-dropdown.jso-slide.jso-animation-end{
    -webkit-animation: jso-dd-slide-up 0.3s forwards;
            animation: jso-dd-slide-up 0.3s forwards;
    overflow: hidden;
}

@-webkit-keyframes jso-dd-slide-down {
    /*0% { transform: scaleY(0); }
    100% { transform: scaleY(1); }*/

    0% { max-height: 0; }
    100% { max-height: 500px; }
}

@keyframes jso-dd-slide-down {
    /*0% { transform: scaleY(0); }
    100% { transform: scaleY(1); }*/

    0% { max-height: 0; }
    100% { max-height: 500px; }
}

@-webkit-keyframes jso-dd-slide-up {
    /*0% { transform: scaleY(1); }
    100% { transform: scaleY(0); }*/

    0% { max-height: 500px; }
    100% { max-height: 0; }
}

@keyframes jso-dd-slide-up {
    /*0% { transform: scaleY(1); }
    100% { transform: scaleY(0); }*/

    0% { max-height: 500px; }
    100% { max-height: 0; }
}

/**
 * fade + slide
 */
.jso-dropdown.jso-fade-slide{
    -webkit-animation: jso-dd-fade-in-slide-down 0.3s forwards;
            animation: jso-dd-fade-in-slide-down 0.3s forwards;
    -webkit-transform-origin: top center;
            transform-origin: top center;
}

.jso-dropdown.jso-fade-slide.jso-animation-end{
    -webkit-animation: jso-dd-fade-out-slide-up 0.3s forwards;
            animation: jso-dd-fade-out-slide-up 0.3s forwards;
    overflow: hidden;
}

@-webkit-keyframes jso-dd-fade-in-slide-down {
    0%   { opacity: 0; max-height: 0; }
    100% { opacity: 1; max-height: 500px; }
}

@keyframes jso-dd-fade-in-slide-down {
    0%   { opacity: 0; max-height: 0; }
    100% { opacity: 1; max-height: 500px; }
}

@-webkit-keyframes jso-dd-fade-out-slide-up {
    0%   { opacity: 1; max-height: 500px; }
    100% { opacity: 0; max-height: 0; }
}

@keyframes jso-dd-fade-out-slide-up {
    0%   { opacity: 1; max-height: 500px; }
    100% { opacity: 0; max-height: 0; }
}

/**
 * shape animation
 */
.jso-dropdown.jso-shape{
    -webkit-animation: jso-dd-shape-in 0.3s forwards;
            animation: jso-dd-shape-in 0.3s forwards;
    overflow: hidden;
}

.jso-dropdown.jso-shape.jso-animation-end{
    -webkit-animation: jso-dd-shape-out 0.3s forwards;
            animation: jso-dd-shape-out 0.3s forwards;
}

@-webkit-keyframes jso-dd-shape-in {
    0%   {
        border-radius: 0.5rem 0.5rem 100% 100%;
        max-height: 0;
    }

    100% {
        border-radius: 0.5rem;
        max-height: 500px;
    }
}

@keyframes jso-dd-shape-in {
    0%   {
        border-radius: 0.5rem 0.5rem 100% 100%;
        max-height: 0;
    }

    100% {
        border-radius: 0.5rem;
        max-height: 500px;
    }
}

@-webkit-keyframes jso-dd-shape-out {
    0%   {
        border-radius: 0.5rem;
        max-height: 500px;
    }

    100% {
        border-radius: 0.5rem 0.5rem 100% 100%;
        max-height: 0;
    }
}

@keyframes jso-dd-shape-out {
    0%   {
        border-radius: 0.5rem;
        max-height: 500px;
    }

    100% {
        border-radius: 0.5rem 0.5rem 100% 100%;
        max-height: 0;
    }
}

/**
 * slide left + right animation
 */
.jso-dropdown.jso-slide-right{
    -webkit-animation: jso-dd-hslide-in 0.3s forwards;
            animation: jso-dd-hslide-in 0.3s forwards;
    -webkit-transform-origin: top left;
            transform-origin: top left;
}

.jso-dropdown.jso-slide-right.jso-animation-end{
    -webkit-animation: jso-dd-hslide-out 0.3s forwards;
            animation: jso-dd-hslide-out 0.3s forwards;
    -webkit-transform-origin: top right;
            transform-origin: top right;
}

.jso-dropdown.jso-slide-left{
    -webkit-animation: jso-dd-hslide-in 0.3s forwards;
            animation: jso-dd-hslide-in 0.3s forwards;
    -webkit-transform-origin: top right;
            transform-origin: top right;
}

.jso-dropdown.jso-slide-left.jso-animation-end{
    -webkit-animation: jso-dd-hslide-out 0.3s forwards;
            animation: jso-dd-hslide-out 0.3s forwards;
    -webkit-transform-origin: top left;
            transform-origin: top left;
}

@-webkit-keyframes jso-dd-hslide-in {
    0% {
        -webkit-transform: rotateY(90deg);
                transform: rotateY(90deg);
    }

    100% {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
    }
}

@keyframes jso-dd-hslide-in {
    0% {
        -webkit-transform: rotateY(90deg);
                transform: rotateY(90deg);
    }

    100% {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
    }
}

@-webkit-keyframes jso-dd-hslide-out {
    0%   {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
    }

    100% {
        -webkit-transform: rotateY(90deg);
                transform: rotateY(90deg);
    }
}

@keyframes jso-dd-hslide-out {
    0%   {
        -webkit-transform: rotateY(0);
                transform: rotateY(0);
    }

    100% {
        -webkit-transform: rotateY(90deg);
                transform: rotateY(90deg);
    }
}
/**
 * Popup Styles
 */
.jso-popup{
    display: flex;
    width: 100%;
    box-sizing: border-box;

    font-family: -apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif;
    font-size: 0.9rem;

    background: #fff;
    color: rgb(33, 37, 41);
}

.jso-popup-fullscreen{
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 10000;
    background-color: #fff;
}

.jso-popup-box{
    width: 100%;
    height: 100%;
    box-sizing: border-box;

    display: flex;
    flex-direction: column;

    background: #fff;
}

.jso-popup-content-top{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0.3rem 1rem 0.3rem 0;
    position: relative;
    box-sizing: border-box;
}

.jso-popup-content-top h4{
    font-weight: bold;
    font-size: 1rem;
    padding: 0 0 0 30px;
    margin: 0;
    flex: 1;
    text-align: center;
    box-sizing: border-box;
}

.jso-popup-close-button{
    background: #fff url("data:image/svg+xml,%3Csvg xmlns='https://www.w3.org/2000/svg' version='1.1' viewBox='0 0 100 100' width='30px' height='30px'%3E%3Cpolygon fill='%23010101' points='77.6,21.1 49.6,49.2 21.5,21.1 19.6,23 47.6,51.1 19.6,79.2 21.5,81.1 49.6,53 77.6,81.1 79.6,79.2 51.5,51.1 79.6,23 '/%3E%3C/svg%3E") no-repeat left center;
    border: 0;
    width: 30px;
    height: 30px;
}

.jso-popup-close-button:focus,
.jso-popup-close-button:hover,
.jso-popup-close-button:active{
    outline: none;
    box-shadow: none;
}
/**
 * calendar Styles
 */
:root{
    --jso-calendar-bg: #fff;
    --jso-calendar-today-color: #007bff;
    --jso-calendar-past-day-color: #ccc;
    --jso-calendar-hover-bg-color: #e8e8e8;
}

.jso-calendar-month{
    width: 100%;
}

.jso-calendar-month-title{
    text-align: center;
    font-weight: 600;
    padding: 0.4rem;
    position: relative;
    cursor: pointer;
}

.jso-calendar-month-arrow{
    border: 0;
    background: var(--jso-calendar-bg, #fff);

    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
    cursor: pointer;

    width: 1.7rem;
    height: 1.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s all;
}

.jso-calendar-month-arrow:hover,
.jso-calendar-month-arrow:focus,
.jso-calendar-month-arrow:active{
    outline: none;
    box-shadow: none;
    background: #efefef;
    border-radius: 100%;
}

.jso-calendar-month-arrow-left{
    left: 0;
}

.jso-calendar-month-arrow-right{
    right: 0;
}

.jso-calendar-day-of-week-title{
    font-weight: normal;
    text-align: center;
    padding: 0.4rem;
}

.jso-calendar-day{
    text-align: center;
    padding: 0.4rem;
}

.jso-calendar-today{
    color: var(--jso-calendar-today-color, #007bff);
    cursor: pointer;
}

.jso-calendar-after-today{
    cursor: pointer;
}

.jso-calendar-before-today{
    color: var(--jso-calendar-past-day-color, #ccc);
}

.jso-calendar-today:hover,
.jso-calendar-after-today:hover{
    background: var(--jso-calendar-hover-bg-color, #e8e8e8);
}

/**
 * JSOcean Range Date Picker Styles
 */
.jso-date-range-picker-dropdown{
    display: flex;
    flex-direction: column;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}

.jso-date-range-picker-dropdown-content{
    width: 100%;
    min-height: 280px;
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
    padding: 0.5rem 1rem;cursor: default;
}

.jso-date-range-picker-dropdown .jso-calendar-month{
    width: 49%;
    border-collapse: collapse;
}

.jso-date-range-picker-dropdown .jso-calendar-month:first-child{
    margin-right: 0.5rem;
}

.jso-date-range-picker-dropdown .jso-calendar-month:last-child{
    margin-left: 0.5rem;
}

.jso-date-range-picker-selected-day{
    background: #efefef;
}

.jso-date-range-picker-selected-day-from,
.jso-date-range-picker-selected-day-to,
.jso-date-range-picker-selected-day-from:hover,
.jso-date-range-picker-selected-day-to:hover{
    background: #007bff;
    color: #fff;
}

.jso-date-range-picker-dropdown-footer{
    display: flex;
    justify-content: center;
    border-top: 1px solid #e6e6e6;
}

.jso-date-range-picker-footer-text{
    margin: 0 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jso-date-range-picker-done-btn{
    padding: 0.7rem 2rem;
    background: #4e4e4e;
    color: #fff;
    border: 0;
    font-size: 1rem;
    border-radius: 3px;
    box-sizing: border-box;
    margin: 0.5rem 0.5rem 0.5rem auto;
    cursor: pointer;
}

/**
 * Mobile Version
 */
.jso-date-range-picker-popup .jso-popup-content-top{
    margin-bottom: 0;
}

.jso-date-range-picker-popup-content{
    flex: 1;
    overflow: auto;
}

.jso-date-range-picker-popup-footer{
    border-top: 1px solid #ccc;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 0.5rem 0.5rem 0.5rem;
    box-sizing: border-box;
}

.jso-date-range-picker-popup-footer .jso-date-range-picker-popup-done-btn{
    padding: 0.7rem 2rem;
    background: #4e4e4e;
    color: #fff;
    border: 0;
    font-size: 1rem;
    border-radius: 3px;
    width: 100%;
    box-sizing: border-box;
}

.jso-date-range-picker-footer-texts{
    display: flex;
    justify-content: center;
}

.jso-date-range-picker-popup-content .jso-calendar-month{
    margin-bottom: 1rem;
}

.jso-date-range-picker-popup-content .jso-calendar-month-title{
    font-weight: 700;
}

.jso-date-range-picker-popup-content .jso-calendar-day-of-week-title{
    background: #f7f7f7;
}




/**
 * JSOcean Quantity Selector Styles
 */

/**
 * main button
 */
.jso-quantity-selector-fields{
    display: flex;
}

/**
 * dropdown
 */
.jso-quantity-selector-dropdown-content{
    display: flex;
    width: 100%;
    flex-direction: column;
    box-sizing: border-box;
    padding: 0.5rem 0;
}

.jso-quantity-selector-field{
    display: flex;
    width: 100%;
    align-items: center;
    padding: 0.5rem 1rem;
    box-sizing: border-box;
}

.jso-quantity-selector-title{
    flex: 1;
}

.jso-quantity-selector-qty-chooser{
    display: flex;
    align-items: center;
}

.jso-quantity-selector-field-btn{
    background: #fff;
    border: 1px solid #ccc;
    padding: 0;
    margin: 0;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
}

.jso-quantity-selector-field-qty{
    width: 40px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jso-quantity-selector-select{
    border: 1px solid #d2d2d2;
    border-radius: 0.2rem;
    padding: 0.4rem 0.5rem;
    min-width: 3rem;
    box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
}

/**
 * dependant fields
 */
.jso-quantity-selector-dependant-fields{
    background: #f7f7f7;
    padding: 0.5rem 0 1rem 0;
}

.jso-quantity-selector-dependant-field-title{
    padding: .5rem 1rem;
}

.jso-quantity-selector-dependant-fields-box{
    display: flex;
    flex-wrap: wrap;
}

.jso-quantity-selector-field.jso-quantity-selector-dependant-field{
    width: auto;
}

/**
 * Mobile Popup
 */
.jso-quantity-selector-popup .jso-popup-content-top{
    margin-bottom: 0;
}

.jso-quantity-selector-popup-content{
    flex: 1;
    overflow: auto;
    font-size: 1rem;
    background: #fff;
}

.jso-quantity-selector-popup-footer{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0.5rem;
    box-sizing: border-box;
}

.jso-quantity-selector-popup-footer .jso-quantity-selector-popup-done-btn{
    padding: 0.7rem 2rem;
    background: #4e4e4e;
    color: #fff;
    border: 0;
    font-size: 1rem;
    border-radius: 3px;
    width: 100%;
    box-sizing: border-box;
}




/**
 * Ocean Star - Hotels Search Form Styles
 */
.jso-booking-form{
    --jso-booking-form-width: 520px;

    --jso-booking-form-bg-color: #fff;
    --jso-booking-form-text-color: #111;

    --jso-booking-form-border-color: #ddd;
    --jso-booking-form-border-radius: 0.5rem;
    --jso-booking-form-shadow-color: #e0e0e0;
    --jso-booking-form-focus-shadow-color: rgb(144, 144, 144);

    --jso-booking-form-button-bg-color: #4e4e4e;
    --jso-booking-form-button-bg-focus-color: #333;
    --jso-booking-form-button-text-color: #fff;

    --jso-booking-form-error-color: #a30000;
    --jso-booking-form-overlay-bg-color: #7d7d7d;
}

.jso-booking-form{
    font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    color: var(--jso-booking-form-text-color, #111);
    font-size: 1rem;

    width: var(--jso-booking-form-width, 520px);
    max-width: 100%;
    box-sizing: border-box;

    display: flex;
    flex-direction: column;
}

.jso-booking-form h3 {
    margin-bottom: 1.8rem;
    font-size: 2rem;
    font-weight: 900;
    text-align: center;
}

.jso-booking-form-content{
    width: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.jso-booking-form-country,
.jso-booking-check-in-out,
.jso-booking-form-guests{
    margin: 0 0 1rem 0;
    border-radius: 0.5rem;
    border: 0;
    box-shadow: var(--jso-booking-form-shadow-color) 0 0 10px;
    position: relative;
    background: var(--jso-booking-form-bg-color, #fff);
    transition: 0.2s box-shadow;
}

.jso-booking-form-title{
    padding: .7rem 1rem;
    margin: 0;
    background: var(--jso-booking-form-bg-color, #fff);
    border-bottom: 1px solid var(--jso-booking-form-border-color, #efefef);
    border-radius: var(--jso-booking-form-border-radius, 0.5rem) var(--jso-booking-form-border-radius, 0.5rem) 0 0;

    text-transform: uppercase;
    font-size: .8rem;

    display: flex;
    align-items: center;
    box-sizing: border-box;
}

.jso-booking-form-content h4 svg{
    margin-right: 0.5rem;
    transition: 0.3s all;
}

.jso-booking-form-content h4 svg:hover{
    -webkit-transform: translateY(-0.2rem);
            transform: translateY(-0.2rem);
}

/**
 * countries autocomplete
 */
.jso-booking-form-country-content{
    display: flex;
    width: 100%;
    box-sizing: border-box;
}

.jso-booking-form-country-content input{
    width: 100%;
    height: 50px;
    border: 0;
    box-sizing: border-box;
    border-radius:  0 0 var(--jso-booking-form-border-radius, 0.5rem) var(--jso-booking-form-border-radius, 0.5rem);
    font-size: 1rem;
    padding: 0.5rem 1rem;
    background: var(--jso-booking-form-bg-color, #fff);
    color: var(--jso-booking-form-text-color, #111);
}

.jso-booking-form-country-content input:active,
.jso-booking-form-country-content input:focus{
    outline: none;
    box-shadow: none;
}

.jso-booking-form-country-content ::-webkit-input-placeholder{
    color: var(--jso-booking-form-text-color, #111);
}

.jso-booking-form-country-content :-ms-input-placeholder{
    color: var(--jso-booking-form-text-color, #111);
}

.jso-booking-form-country-content ::-ms-input-placeholder{
    color: var(--jso-booking-form-text-color, #111);
}

.jso-booking-form-country-content ::placeholder{
    color: var(--jso-booking-form-text-color, #111);
}

.jso-booking-form-country-content .jso-dropdown{
    border-radius:  var(--jso-booking-form-border-radius, 0.5rem);
    overflow: hidden;
    box-shadow: var(--jso-booking-form-shadow-color) 0 0 10px;
    font-size: 0.95rem;
}

.jso-booking-form .jso-autocomplete{
    margin-top: 2px;
}

.jso-booking-form .jso-autocomplete-item{
    padding: 0.5rem 1rem;
    border-bottom: 1px solid var(--jso-booking-form-border-color, #efefef);
}

.jso-booking-form .jso-autocomplete-item:last-child{
    border-bottom: 0;
}

.jso-booking-form-country-input{
    display: block !important;
}

.jso-booking-form-country-input.jso-autocomplete-input-mobile{
    display: none !important;
}

@media (max-width: 960px){
    .jso-booking-form-country-input{
        display: none !important;
    }

    .jso-booking-form-country-input.jso-autocomplete-input-mobile{
        display: block !important;
    }

    .jso-autocomplete-opened .jso-booking-form-country-input.jso-autocomplete-input-mobile{
        display: none !important;
    }
}

/**
 * check in & check out
 */
.jso-booking-check-in-out-content{
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
    display: flex;
    width: 100%;
    height: 50px;
    box-sizing: border-box;
    cursor: pointer;
}

.jso-booking-check-in-out-content .jso-date-range-picker-text{
    width: calc(40% - 1px);
    border-right: 1px solid var(--jso-booking-form-border-color, #efefef);
    display: flex;
    padding: .5rem 1rem;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
	box-sizing: content-box;
}

.jso-booking-check-in-out-content .jso-date-range-picker-text:last-child{
    border-right: 0;
}

.jso-booking-form .jso-date-range-picker-dropdown{
    margin-top: 2px;
    box-sizing: border-box;
    border-radius: var(--jso-booking-form-border-radius, 0.5rem);
    font-size: 0.9rem;
}

.jso-booking-form .jso-calendar-month-title{
    padding: 1rem;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}

.jso-booking-form .jso-date-range-picker-dropdown-content{
    padding: 0 0.5rem;
}

/*.jso-booking-form .jso-date-range-picker-dropdown-footer{
    padding: 0 1rem;
}*/

.jso-booking-form .jso-date-range-picker-footer-text{
    border-right: 1px solid #efefef;
    padding: 0.5rem 1rem;
    margin: 0;
}

.jso-booking-form .jso-date-range-picker-footer-text:nth-child(2){
    border-right: 0;
}

.jso-booking-form .jso-date-range-picker-nights-count{
    border-left: 1px solid var(--jso-booking-form-border-color, #efefef);
    padding: 0.5rem 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.jso-booking-form .jso-date-range-picker-popup .jso-popup-content-top{
    border-bottom: 1px solid var(--jso-booking-form-border-color, #efefef);
    padding-bottom: 0.3rem;
}

.jso-booking-form .jso-date-range-picker-popup .jso-popup-content-top h4{
    font-size: 1.2rem;
}

/**
 * guests
 */
.jso-booking-form-guests .jso-quantity-selector-fields{
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
    display: flex;
    width: 100%;
    height: 50px;
    box-sizing: border-box;
    cursor: pointer;
}

.jso-booking-form-guests .jso-quantity-selector-text{
    width: calc(50% - 1px);
    border-right: 1px solid var(--jso-booking-form-border-color, #efefef);
    display: flex;
    justify-content: space-between;
    padding: .5rem 1rem;
    align-items: center;
    white-space: nowrap;
}

.jso-booking-form-guests .jso-quantity-selector-text:last-child{
    border-right: 0;
}

.jso-booking-form .jso-quantity-selector-dropdown{
    margin-top: 2px;
    font-size: 0.9rem;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}

.jso-booking-form .jso-quantity-selector-popup .jso-popup-content-top{
    border-bottom: 1px solid var(--jso-booking-form-border-color, #efefef);
    padding-bottom: 0.3rem;
    margin-bottom: 0.5rem;
}

/**
 * search button
 */
.jso-booking-form-search-btn{
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;

    box-shadow: #ccc 0 0 10px;
    background: #ddc886;
    color: #343a40;
    border-radius: 0.5rem;
    border: 0;

    padding: .8rem 2.5rem;
    margin: 0;

    font-weight: normal;
    font-size: 1.2rem;
    cursor: pointer;

    transition: 0.3s all;
}

.jso-booking-form-search-btn svg{
    margin-left: 0.5rem;
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
    transition: 0.3s all;
}

.jso-booking-form-search-btn:hover svg{
    -webkit-transform: rotate(90deg) translateY(-0.5rem);
            transform: rotate(90deg) translateY(-0.5rem);
}

/**
 * additional arrows
 */
.jso-booking-check-in-out-content .jso-date-range-picker-text:last-child::after,
.jso-booking-form-guests .jso-quantity-selector-text:last-child::after{
    content: '';
    display: block;
    width: 20px;
    height: 20px;
    background: url("data:image/svg+xml,%3Csvg xmlns='https://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 512 512'%3E%3Ctitle%3Eionicons-v5-a%3C/title%3E%3Cpolyline points='112 268 256 412 400 268' style='fill:none;stroke:%23c3c3c3;stroke-linecap:square;stroke-miterlimit:10;stroke-width:48px'%3E%3C/polyline%3E%3Cline x1='256' y1='392' x2='256' y2='100' style='fill:none;stroke:%23c3c3c3;stroke-linecap:square;stroke-miterlimit:10;stroke-width:48px'%3E%3C/line%3E%3C/svg%3E") no-repeat 50% 50%;
    transition: 0.3s all;
}

.jso-booking-check-in-out.jso-date-range-picker-opened .jso-date-range-picker-text:last-child::after,
.jso-booking-form-guests.jso-quantity-selector-opened .jso-quantity-selector-text:last-child::after,
.jso-booking-check-in-out-content:hover .jso-date-range-picker-text:last-child::after,
.jso-booking-form-guests:hover .jso-quantity-selector-text:last-child::after{
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
}

/**
 * overlay once dropdown open
 */
.jso-booking-form .jso-autocomplete-opened ~ .jso-booking-check-in-out,
.jso-booking-form .jso-autocomplete-opened ~ .jso-booking-form-guests,
.jso-booking-form .jso-date-range-picker-opened ~ .jso-booking-form-guests{
    background: var(--jso-booking-form-overlay-bg-color, #7d7d7d);
    opacity: 0.4;
}

/**
 * validation errors:
 * jso-booking-form-error, jso-booking-form-country-error, jso-booking-check-in-out-error, jso-booking-form-guests-error

.jso-booking-form.jso-booking-form-country-error .jso-booking-form-country,
.jso-booking-form.jso-booking-check-in-out-error .jso-booking-check-in-out,
.jso-booking-form.jso-booking-form-guests-error .jso-quantity-selector{
    border: 1px solid var(--jso-booking-form-error-color, #ff0000);
} */

.jso-booking-form-error-msg{
    position: absolute;
    right: 0.5rem;
    top: 0.5rem;
    z-index: 10000;
    background: var(--jso-booking-form-error-color, #ff0000);
    color: #fff;
    font-size: 0.8rem;
    padding: 0.5rem;
    border-radius: 0.2rem;
}

.jso-booking-form-error-msg::before{
    content: '';
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 6px solid #a30000;
    position: absolute;
    top: calc(50% - 3px);
    left: -9px;
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
}

@media (min-width: 768px) {
    .jso-booking-form-error-msg{
        padding: 0.5rem 1rem;
    }

    .jso-booking-form-content h4 svg{
        margin-right: 1rem;
    }
}

/**
 * no shadow - used on colored backgrounds
 */
.jso-booking-form.jso-booking-form-no-shadow .jso-booking-check-in-out,
.jso-booking-form.jso-booking-form-no-shadow .jso-booking-form-country,
.jso-booking-form.jso-booking-form-no-shadow .jso-booking-form-guests,
.jso-booking-form.jso-booking-form-no-shadow .jso-booking-form-search-btn,
.jso-booking-form.jso-booking-form-no-shadow .jso-dropdown{
    box-shadow: none;
}

/**
 * flat style
 */
.jso-booking-form.jso-booking-form-flat{
    --jso-booking-form-border-color: #d2d2d2;
    --jso-booking-form-header-bg-color: #f7f7f7;
}

.jso-booking-form.jso-booking-form-flat .jso-booking-check-in-out,
.jso-booking-form.jso-booking-form-flat .jso-booking-form-country,
.jso-booking-form.jso-booking-form-flat .jso-booking-form-guests{
    box-shadow: none;
    border: none;
}

.jso-booking-form.jso-booking-form-flat .jso-booking-form-search-btn{
    box-shadow: none;
}

.jso-booking-form.jso-booking-form-flat .jso-booking-form-search-btn{
    width: calc(100% - 2px);
    margin-left: auto;
    margin-right: auto;
}

/**
 * stripes style
 */
.jso-booking-form.jso-booking-form-stripes .jso-booking-form-title{
    background: repeating-linear-gradient(-55deg, #f7f7f7, #f7f7f7 10px, #eee 10px, #eee 20px), #f7f7f7;
    border-radius: 0.5rem 0.5rem 0 0;
}

/**
 * separator style
 */
.jso-booking-form.jso-booking-form-separator .jso-booking-form-title{
    background: linear-gradient(135deg, rgb(245, 245, 245) 0%, rgb(230, 230, 230) 50%, rgb(239, 239, 239) 51%, rgb(253, 253, 253) 100%);
    border-radius: 0.5rem 0.5rem 0 0;
}

/**
 * form on dark background styles
 */
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-search-btn{
    --jso-booking-form-button-bg-color: #b3b3b3;
    --jso-booking-form-button-bg-focus-color: #888;
    --jso-booking-form-button-text-color: #fff;
}

.jso-booking-form.jso-booking-form-dark-bg h3{
    color: #fff;
}

.jso-booking-form.jso-booking-form-dark-bg .jso-booking-check-in-out,
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-country,
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-guests,
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-search-btn{
    box-shadow: none;
}

/**
 * colored styles
 */
.jso-booking-form.jso-booking-form-colored{
    --theme-color-1: #fff;
    --theme-color-2: #fff;
    --theme-text-color-1: #111;
    --theme-text-color-2: #fff;
    --theme-thumb-color: #e4e4e4;
    --theme-error-bg-color: #a30000;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored .jso-booking-form-title{
    background-color: var(--theme-color-1, #fff);
    color: var(--theme-text-color-1, #111);
}

.jso-booking-form.jso-booking-form-colored .jso-date-range-picker-selected-day-from,
.jso-booking-form.jso-booking-form-colored .jso-date-range-picker-selected-day-from:hover,
.jso-booking-form.jso-booking-form-colored .jso-date-range-picker-selected-day-to,
.jso-booking-form.jso-booking-form-colored .jso-date-range-picker-selected-day-to:hover{
    background-color: var(--theme-color-1, #007bff);
}

.jso-booking-form.jso-booking-form-colored svg path,
.jso-booking-form.jso-booking-form-colored svg rect{
    fill: var(--theme-thumb-color, #fff);
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-stripes .jso-booking-form-title{
    background: repeating-linear-gradient(-55deg, var(--theme-color-2), var(--theme-color-2) 10px, var(--theme-color-1) 10px, var(--theme-color-1) 20px), var(--theme-thumb-color);
    color: var(--theme-text-color-2, #fff);
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-separator .jso-booking-form-title{
    background: linear-gradient(135deg, var(--theme-color-1) 50%, var(--theme-color-2) 51%, var(--theme-color-1) 100%);
    color: var(--theme-text-color-2, #fff);
}

.jso-booking-form.jso-booking-form-colored .jso-booking-form-error-msg{
    background-color: var(--theme-error-bg-color, #a30000);
    color: var(--theme-error-text-color, #fff);
}

.jso-booking-form.jso-booking-form-colored .jso-booking-form-error-msg::before{
    border-bottom-color: var(--theme-error-bg-color, #a30000);
}

/**
 * styles per color
 */
.jso-booking-form.jso-booking-form-colored.jso-booking-form-0000CC{
    --theme-color-1: #0000CC;
    --theme-color-2: #4545e4;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #d3faff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-003399{
    --theme-color-1: #003399;
    --theme-color-2: #1750c3;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #d3faff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-0066FF{
    --theme-color-1: #0066FF;
    --theme-color-2: #3888ff;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #fff;
    --theme-error-bg-color: #d3faff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-006666{
    --theme-color-1: #006666;
    --theme-color-2: #047979;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #c1ffdd;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-006699{
    --theme-color-1: #006699;
    --theme-color-2: #0f79af;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #d3faff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-0066CC{
    --theme-color-1: #0066CC;
    --theme-color-2: #127be4;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #fff;
    --theme-error-bg-color: #d3faff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-009966{
    --theme-color-1: #009966;
    --theme-color-2: #07aa74;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #0b2f1b;
    --theme-error-bg-color: #c1ffdd;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-009999{
    --theme-color-1: #009999;
    --theme-color-2: #04aaaa;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-3399CC{
    --theme-color-1: #3399CC;
    --theme-color-2: #3ba7de;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #082333;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-0099FF{
    --theme-color-1: #0099FF;
    --theme-color-2: #0187e0;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #193c6b;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-33CC00{
    --theme-color-1: #33CC00;
    --theme-color-2: #2cb100;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #fff;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-660099{
    --theme-color-1: #660099;
    --theme-color-2: #7a07b3;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #f1ddff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-6600CC{
    --theme-color-1: #6600CC;
    --theme-color-2: #5a06af;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #fff;
    --theme-error-bg-color: #eee1fb;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-663333{
    --theme-color-1: #663333;
    --theme-color-2: #7f4545;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #ffcece;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-666600{
    --theme-color-1: #666600;
    --theme-color-2: #737303;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #eef9c9;
    --theme-error-bg-color: #eef9c9;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-666699{
    --theme-color-1: #666699;
    --theme-color-2: #77a;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #000;
    --theme-error-bg-color: #eef9c9;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-6666CC{
    --theme-color-1: #6666CC;
    --theme-color-2: #7474da;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #050429;
    --theme-error-bg-color: #eef9c9;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-990000{
    --theme-color-1: #990000;
    --theme-color-2: #810101;
    --theme-text-color-1: #fff;
    --theme-error-bg-color: #f9d5d4;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-FF0000{
    --theme-color-1: #FF0000;
    --theme-color-2: #d40000;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #111;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-990066{
    --theme-color-1: #990066;
    --theme-color-2: #ad0675;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #222;
    --theme-error-bg-color: #fbd9d9;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-990099{
    --theme-color-1: #990099;
    --theme-color-2: #ad05ad;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #222;
    --theme-error-bg-color: #ffc9ff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-9900CC{
    --theme-color-1: #9900CC;
    --theme-color-2: #8301af;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #fff;
    --theme-error-bg-color: #ffc9ff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-9900FF{
    --theme-color-1: #9900FF;
    --theme-color-2: #8300da;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #000;
    --theme-error-bg-color: #f1ddff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-996600{
    --theme-color-1: #996600;
    --theme-color-2: #b17a0d;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #402b00;
    --theme-error-bg-color: #feffbe;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-9966CC{
    --theme-color-1: #9966CC;
    --theme-color-2: #a877da;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #4c2b6d;
    --theme-error-bg-color: #f1ddff;
    --theme-error-text-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-9999CC{
    --theme-color-1: #9999CC;
    --theme-color-2: #8c8cc3;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #353554;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-9999FF{
    --theme-color-1: #9999FF;
    --theme-color-2: #8a8aec;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #4c4da7;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-99CC00{
    --theme-color-1: #99CC00;
    --theme-color-2: #8bb903;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #5b7900;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-99CC99{
    --theme-color-1: #99CC99;
    --theme-color-2: #8abd8a;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #4b774b;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-99CCCC{
    --theme-color-1: #99CCCC;
    --theme-color-2: #8bbdbd;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #447171;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-99CCFF{
    --theme-color-1: #99CCFF;
    --theme-color-2: #8dbbea;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #53799e;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CC3399{
    --theme-color-1: #CC3399;
    --theme-color-2: #b92d8a;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #350927;
    --theme-error-bg-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CC00FF{
    --theme-color-1: #CC00FF;
    --theme-color-2: #b905e6;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #5e0075;
    --theme-error-bg-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CC6600{
    --theme-color-1: #CC6600;
    --theme-color-2: #bd6003;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #3e1f00;
    --theme-error-bg-color: #111;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CC9900{
    --theme-color-1: #CC9900;
    --theme-color-2: #bb8d02;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #5a4402;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CC9999{
    --theme-color-1: #CC9999;
    --theme-color-2: #b98787;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #6b3e3e;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CC99CC{
    --theme-color-1: #CC99CC;
    --theme-color-2: #b987b9;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #674167;
    --theme-error-bg-color: #671465;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CCCC99{
    --theme-color-1: #CCCC99;
    --theme-color-2: #bbbb87;
    --theme-text-color-1: #fff;
    --theme-thumb-color: #6f6f41;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-CCCCFF{
    --theme-color-1: #CCCCFF;
    --theme-color-2: #c0c0f4;
    --theme-text-color-1: #111;
    --theme-thumb-color: #646492;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-FF9933{
    --theme-color-1: #FF9933;
    --theme-color-2: #e48527;
    --theme-text-color-1: #111;
    --theme-thumb-color: #fff;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-FF9999{
    --theme-color-1: #FF9999;
    --theme-color-2: #e68282;
    --theme-text-color-1: #111;
    --theme-thumb-color: #7d3e3f;
    --theme-error-bg-color: #111;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-FFCC99{
    --theme-color-1: #FFCC99;
    --theme-color-2: #eab887;
    --theme-text-color-1: #111;
    --theme-text-color-2: #111;
    --theme-thumb-color: #92714a;
    --theme-error-bg-color: #69411a;
    --theme-error-text-color: #fff;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-FFCCCC{
    --theme-color-1: #FFCCCC;
    --theme-color-2: #ecb8b8;
    --theme-text-color-1: #111;
    --theme-text-color-2: #111;
    --theme-thumb-color: #a27b7c;
}

.jso-booking-form.jso-booking-form-colored.jso-booking-form-FFCCFF{
    --theme-color-1: #FFCCFF;
    --theme-color-2: #eebaee;
    --theme-text-color-1: #111;
    --theme-text-color-2: #111;
    --theme-thumb-color: #8f6594;
}

/* DTW - Hotel Bethel farvekode */
.jso-booking-form.jso-booking-form-colored.jso-booking-form-DDC886{
    --theme-color-1: #ddc886;
    --theme-color-2: #c2a354;
    --theme-text-color-1: #343a40;
    --theme-thumb-color: #343a40;
    --theme-error-bg-color: #343a40;
    --theme-error-text-color: #ffffff;
}

/**
 * horizontal layout
 */
@media (min-width: 767px){
    .jso-booking-form.jso-booking-form-horizontal{
        width: 100%;
    }

    .jso-booking-form.jso-booking-form-horizontal .jso-booking-form-content{
        flex-direction: row;
        justify-content: center;
    }

    .jso-booking-form.jso-booking-form-horizontal .jso-booking-form-search-btn{
        width: 175px;
    }

    .jso-booking-form.jso-booking-form-horizontal .jso-booking-check-in-out,
    .jso-booking-form.jso-booking-form-horizontal .jso-booking-form-country,
    .jso-booking-form.jso-booking-form-horizontal .jso-booking-form-guests{
        margin: 0 1rem 0 0;
        width: 350px;
    }

    .jso-booking-form.jso-booking-form-horizontal .jso-date-range-picker-dropdown{
        background: #fff;
        width: auto;
    }

    .jso-booking-form.jso-booking-form-horizontal .jso-autocomplete-opened ~ .jso-booking-check-in-out,
    .jso-booking-form.jso-booking-form-horizontal .jso-autocomplete-opened ~ .jso-booking-form-guests,
    .jso-booking-form.jso-booking-form-horizontal .jso-date-range-picker-opened ~ .jso-booking-form-guests{
        background: var(--jso-booking-form-bg-color, #fff);
        opacity: 1;
    }

    .jso-booking-form.jso-booking-form-horizontal.jso-booking-form-flat .jso-booking-form-search-btn{
        margin: 0;
    }
}

/**
 * desktop special styles
 */
@media (min-width: 768px) {
    .jso-booking-form h3 {
        font-size: 2.8rem;
    }
}

/**
 * focus and active state
 */

/* in case of focus -> all sections get a dark shadow */
.jso-booking-check-in-out:active,
.jso-booking-check-in-out:focus,
.jso-booking-form-guests:active,
.jso-booking-form-guests:focus{
    outline: none !important;
    box-shadow: 0 0 0.5rem var(--jso-booking-form-focus-shadow-color) !important;
}

.jso-booking-form-country:focus-within{
    box-shadow: 0 0 0.5rem var(--jso-booking-form-focus-shadow-color) !important;
}

/* in case of focus -> submit button gets a dark shadow and a darker background color */
.jso-booking-form-search-btn:hover,
.jso-booking-form-search-btn:focus,
.jso-booking-form-search-btn:active{
    outline: none !important;
    box-shadow: 0 0 0.5rem var(--jso-booking-form-focus-shadow-color) !important;
    background: #c2a354 !important;
}

/* in dark background -> all sections get a light shadow */
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-check-in-out:active,
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-check-in-out:focus{
    box-shadow: 0 0 0.5rem #fff !important;
}

/* in dark background -> the submit button gets a lighter background color */
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-search-btn:hover,
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-search-btn:focus,
.jso-booking-form.jso-booking-form-dark-bg .jso-booking-form-search-btn:active{
    outline: none !important;
    background: var(--jso-booking-form-button-bg-focus-color, #666) !important;
}

.jso-date-range-picker-icon {
    display: flex;
	width: calc(10% - 1px);
    padding: .5rem 0rem .5rem 1rem;
    align-items: center;
    justify-content: space-between;
    white-space: nowrap;
    box-sizing: content-box;
}
